/*
 * 项目管理配置接口
*/
import request from '@/utils/request'
import qs from 'qs'

// 设备类别
export function getDevice(params) {
  return request({
    url: 'device/type',
    method: 'get',
    params
  })
}
// 项目管理绑定组织
export function deptTenantSys(params) {
  return request({
    url: 'bus/tenant/relateTenant',
    method: 'post',
    params
  })
}

// 项目管理查询
export function tenantSysList(params) {
  return request({
    url: 'bus/tenant/list',
    method: 'get',
    params
  })
}

// 添加项目管理
export function addTenantSys(params) {
  return request({
    url: 'sys/tenant/add',
    method: 'post',
    params
  })
}
// 修改项目管理
export function updateTenantSys(params) {
  return request({
    url: 'sys/tenant/update',
    method: 'post',
    params
  })
}
// 删除项目管理
export function delTenantSys(ids) {
  return request({
    url: 'sys/tenant/delete',
    method: 'post',
    params: {
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
